Bug 172949 - Package fixes and cleanups for ddd
Package fixes and cleanups for ddd
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ddd (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Ngo Than
: EasyFix, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-11 10:34 EST by Matthias Saou
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-11 11:14:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Spec file patch (4.94 KB, patch)
2005-11-11 10:34 EST, Matthias Saou
no flags Details | Diff

  None (edit)
Description Matthias Saou 2005-11-11 10:34:50 EST
Suggested spec file patch for ddd 3.3.11-3 :

* Fri Nov 11 2005 Matthias Saou <http://freshrpms.net/> 3.3.11-4
- Re-enable debug package, as binary doesn't get stripped otherwise.
- Remove obsolete applnk/applications desktop file conditional.
- Spec file cleanups.

It seems that the debug package disabling was intentional, but after that
change, the ddd binary doesn't get stripped anymore, which was probably not the
intent. I've re-enabled it, but if it really doesn't make sense to have one, you
should consider explicitely stripping the binary in %install.
Comment 1 Matthias Saou 2005-11-11 10:34:53 EST
Created attachment 120946 [details]
Spec file patch
Comment 2 Ngo Than 2005-11-11 11:14:16 EST
it's fixed in ddd-3_3_11-4. Many thanks for the patch

Note You need to log in before you can comment on or make changes to this bug.